DestinationsList platform integrations

List platform integrations

Status of the managed platform integrations for the calling location: for each platform, which halves are connected (managed browser tag, server destination) and whether the delivery credential is stored. Credential values are never returned.

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/destinations/integrations" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "meta": {
      "platform": "meta",
      "label": "example_string",
      "connected": true,
      "browser_tag": {
        "tag_id": "example_string",
        "enabled": true,
        "config": {}
      },
      "destination": {
        "id": "example_string",
        "enabled": true,
        "action_config": {}
      },
      "has_credential": true
    },
    "google_ads": {
      "platform": "meta",
      "label": "example_string",
      "connected": true,
      "browser_tag": {
        "tag_id": "example_string",
        "enabled": true,
        "config": {}
      },
      "destination": {
        "id": "example_string",
        "enabled": true,
        "action_config": {}
      },
      "has_credential": true
    }
  }
}
GET
/client/v1/destinations/integrations
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Client key as bearer token. Use an agency key (Bearer ak_...) for read-write access or a location secret key (Bearer sk_...) for read-only access. Scoped keys (mcp_) are accepted too and need destinations:read or destinations:write. See Using an mcp_ key over HTTP.

Client key as bearer token. Use an agency key (Bearer ak_...) for read-write access or a location secret key (Bearer sk_...) for read-only access. Scoped keys (mcp_) are accepted too and need destinations:read or destinations:write. See Using an mcp_ key over HTTP.
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Client key as bearer token. Use an agency key (Bearer ak_...) for read-write access or a location secret key (Bearer sk_...) for read-only access. Scoped keys (mcp_) are accepted too and need destinations:read or destinations:write. See Using an mcp_ key over HTTP.

Responses

successboolean
dataobject